Skip to content

List channels

Request

Displays a list of channels

Headers
Authorizationstring

Authorization

Default:"Bearer $TOKEN"
curl -i -X GET \
  https://api.mediamath.com/deals/v1.0/channels \
  -H 'Authorization: Bearer $TOKEN'

Responses

Returns a list of available advertising channels

Bodyapplication/json
Array [
idinteger

Unique identifier for the channel

namestring

Name of the channel

posinteger

Position/order of the channel

created_onstring, (date-time)

Timestamp when the channel was created

updated_onstring, (date-time)

Timestamp when the channel was last updated

]
Response
[ { "id": 1, "name": "Display", "pos": 1, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 2, "name": "Mobile Web", "pos": 2, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 3, "name": "Mobile In-app", "pos": 3, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 4, "name": "Video", "pos": 4, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 5, "name": "Audio", "pos": 5, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 6, "name": "CTV", "pos": 6, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" }, { "id": 7, "name": "DOOH", "pos": 7, "created_on": "2020-07-20T11:13:55.015407+00:00", "updated_on": "2020-07-20T11:13:55.015407+00:00" } ]